Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUICheckBox Class Reference

GUI Check box interface. More...

`#include <IGUICheckBox.h>`

Inheritance diagram for irr::gui::IGUICheckBox:

List of all members.

## Public Member Functions

| IGUICheckBox (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual bool | isChecked () const =0
| Returns true if box is checked.
virtual void | setChecked (bool checked)=0
| Set if box is checked.

## Detailed Description

GUI Check box interface.

Definition at line 16 of file IGUICheckBox.h.

## Constructor & Destructor Documentation

irr::gui::IGUICheckBox::IGUICheckBox | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 21 of file IGUICheckBox.h.

## Member Function Documentation

virtual bool irr::gui::IGUICheckBox::isChecked | ( |  | ) | const`[pure virtual]`

Returns true if box is checked.

virtual void irr::gui::IGUICheckBox::setChecked | ( | bool | checked | ) | `[pure virtual]`

Set if box is checked.

The documentation for this class was generated from the following file:

- IGUICheckBox.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:04 2010 by Doxygen (1.6.2)